Subject: Re: [PATCH 3/6] Consolidate of_find_property

From: Segher Boessenkool <[email-masked]>
Date: Wed, 25 Apr 2007 04:10:40 +0200

>> Property names aren't supposed to contain uppercase
>> characters.
>
> Somebody forgot to tell Apple:

Yes I know.  Sigh.

>> I can swing both ways on which of strcmp()
>> or strcasecmp() is better, but there seems no reason
>> to do this differently on each platform.
>
> The question is, what ppc drivers would break if we used strcmp
> instead of strcasecmp?  I have a dim memory that some Apple machines
> had "ata" and others had "ATA" for the hard disk, for instance.

Hrm I don't remember that one, but yeah something
similar is bound to prop up.

The question is, should we use strcasecmp(), or adjust
those drivers to probe for the upper case version
in addition to the lower case version?  That option
at least has the advantage that you can document
the workaround right where the actual problem is met :-)

Segher